1 Reply Latest reply on Mar 3, 2015 1:30 AM by jaikiran pai

    Unable to run jbpm on default wildfly-8.1.0.Final server with JDK 1.6.0_45

    Arunava Datta Newbie

      I am unable to run jbpm 6.1.0.final full installer on default wildfly-8.1.0.Final server with JDK "1.6.0_45". Below is the error I am getting. Running it on Oracle Linux 6.

       

      2015-03-02 16:17:51,483 INFO  [org.jboss.modules] (main) JBoss Modules version 1.3.3.Final

      2015-03-02 16:17:51,498 WARN  [org.jboss.modules] (main) Failed to define class org.jboss.as.jmx.PluggableMBeanServerBuilder in Module "org.jboss.as.jmx:main" from local module loader @7c29e357 (finder: local module finder @220ca470 (roots: /home/jboss/jbpm-installer/wildfly-8.1.0.Final/modules,/home/jboss/jbpm-installer/wildfly-8.1.0.Final/modules/system/layers/base)): java.lang.UnsupportedClassVersionError: org/jboss/as/jmx/PluggableMBeanServerBuilder : Unsupported major.minor version 51.0

              at java.lang.ClassLoader.defineClass1(Native Method) [rt.jar:1.6.0_45]

              at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631) [rt.jar:1.6.0_45]

              at java.lang.ClassLoader.defineClass(ClassLoader.java:615) [rt.jar:1.6.0_45]

              at org.jboss.modules.ModuleClassLoader.doDefineOrLoadClass(ModuleClassLoader.java:361) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:482) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ModuleClassLoader.loadClassLocal(ModuleClassLoader.java:277) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ModuleClassLoader$1.loadClassLocal(ModuleClassLoader.java:92) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.Module.loadModuleClass(Module.java:568) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:205) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:459) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:447) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:389) [jboss-modules.jar:1.3.3.Final]

              at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:134) [jboss-modules.jar:1.3.3.Final]

              at javax.management.MBeanServerFactory.loadBuilderClass(MBeanServerFactory.java:423) [rt.jar:1.6.0_45]

              at javax.management.MBeanServerFactory.checkMBeanServerBuilder(MBeanServerFactory.java:465) [rt.jar:1.6.0_45]

              at javax.management.MBeanServerFactory.getNewMBeanServerBuilder(MBeanServerFactory.java:511) [rt.jar:1.6.0_45]

              at javax.management.MBeanServerFactory.newMBeanServer(MBeanServerFactory.java:298) [rt.jar:1.6.0_45]

              at javax.management.MBeanServerFactory.createMBeanServer(MBeanServerFactory.java:213) [rt.jar:1.6.0_45]

              at javax.management.MBeanServerFactory.createMBeanServer(MBeanServerFactory.java:174) [rt.jar:1.6.0_45]

              at sun.management.ManagementFactory.createPlatformMBeanServer(ManagementFactory.java:302) [rt.jar:1.6.0_45]

              at java.lang.management.ManagementFactory.getPlatformMBeanServer(ManagementFactory.java:504) [rt.jar:1.6.0_45]

              at org.jboss.modules.Main.main(Main.java:454) [jboss-modules.jar:1.3.3.Final]

       

      [jboss@localhost ~]$ java -version

      java version "1.6.0_45"

      Java(TM) SE Runtime Environment (build 1.6.0_45-b06)

      Java HotSpot(TM) 64-Bit Server VM (build 20.45-b01, mixed mode)

      [jboss@localhost ~]$ echo $JAVA_HOME

      /usr/java/jdk1.6.0_45

       

      Please help me to understand which version of JDK I should use to run it.

       

      Regards,

      Arunava